--Main menu for client.
local lg = assert( love.graphics )
local client = assert( client )
local strings = assert( require 'client.strings' )
local menu = {}

local t = 0
local wWidth = 800
local wHeight = 600

function menu.onLoad()
  lg.setNewFont( 32 )
end

function menu.draw()
  local x, y = 10, 10
  do
    lg.setColor( 1, 0.8, 0.5, 1 )
    lg.rectangle( "fill", x, y, ( wWidth - 20 ) / 2, 50, 15 )
    lg.setColor( 1, 1, 1, 1 )
    lg.print( strings.newgame_button, x + 15, y + 5 )
    y = y + 100
  end
  do
    lg.setColor( 1, 0.8, 0.5, 1 )
    lg.rectangle( "fill", x, y, ( wWidth - 20 ) / 2, 50, 15 )
    lg.setColor( 1, 1, 1, 1 )
    lg.print( strings.join_button, x + 15, y + 5 )
    y = y + 100
  end
  do
    lg.setColor( 1, 0.8, 0.5, 1 )
    lg.rectangle( "fill", x, y, ( wWidth - 20 ) / 2, 50, 15 )
    lg.setColor( 1, 1, 1, 1 )
    lg.print( strings.quit_button, x + 15, y + 5 )
    y = y + 100
  end
end

function menu.update( dt )
  t = t + dt
end

function menu.resize( w, h )
  wWidth, wHeight = w, h
end

function menu.mousemoved( x, y, dx, dy, istouch )

end

function menu.mousepressed( x, y, button, istouch, presses )
  client.loadScene( "browser" )
end

function menu.keypressed( key, code, isrepeat )

end

client.addScene( menu, "menu" )

return menu