--Client starts here!
client = { scenes = {} }
local client = client
local shared = assert( require 'shared' )
local love = assert( love )

function client.loadScene( name )
  print( "Loading Scene:", name )
  local scene = assert( client.scenes[name] )
  for k, v in pairs( scene ) do
    love[k] = v
  end
  scene.onLoad()
end

function client.addScene( t, name )
  print( "Adding Scene:", name )
  client.scenes[name] = t
end

function love.load()
assert( require 'client.menu' )
assert( require 'client.browser' )

  client.loadScene( "menu" )
end
